# installation

0. docker et docker-compose installés sur le host
1. cloner la stack
    - `git clone https://figureslibres.io/gogs/valentin_le_moign/docker_partition_jlg.git`
2. build la stack `make build_stack`
3. build bedrock `make build_bedrock`
4. installer la db
    - `docker exec -it mariadb /bin/sh`
    - `mysql -u root -p --force --one-database wordpress < /wordpress.sql`
    - prompt password db `password`
    - `exit`
5. cloner le thème
    - `git submodule add -f https://figureslibres.io/gogs/valentin_le_moign/partition-jlg-theme.git ./src/bedrock/web/app/themes/partition-jlg-theme`
6. installer le thème `make install_theme`
7. activer redis dans l'admin wordpress
    - `plugins -> installed plugins`
    - `settings -> redis`


# xdebug

- Installer l'extension Codium / VSCode PHP Debug
- Mapping dans .vscode
- Installer l'extension de navigateur Xdebug


# phpmyadmin

Sur le port 8080


# todo stack

urgent
- workflow installation / dev / collaboration
- variables d'environnement
- makefile
- readme
- depot git submodule
- dump db

debug
- pb https
- phpmyadmin

plus tard
- passwords -> redis, mariadb, phpmyadmin
- installer, documenter xdebug
- redis as muplugin
- installer matomo
- composer install au lieu de bash script
- déploiement


# ressources

- Sage
https://toby.ink/blog/2020/11/26/dummys-guide-to-roots-sage-theme-in-wordpress


# dump db

- `docker exec -it mariadb /bin/sh`
- `mysqldump -u root -p wordpress > /var/lib/mysql/wordpress.sql`
- `exit`
- `sudo mv data/wordpress.sql ./Docker/mariadb/wordpress.sql`
